DEPLOY_DIR := ./deploy

up:
	- sh ${DEPLOY_DIR}/scripts/start-docker.sh

down:
	- docker stack rm egommerce

k8s-up:
	- sh ${DEPLOY_DIR}/scripts/start-k8s.sh

k8s-down:
	- kubectl delete -f deploy/k8s/stack.yml

# GENERATING CERTS
certs:
	- bash ${DEPLOY_DIR}/scripts/gen-certs.sh

volumes-restart:
	- docker stack rm egommerce
	- docker volume prune -af
	- sh ${DEPLOY_DIR}/start-stack.sh
